org.jgrapht.ext

## Interface VertexUpdater<V>

- Type Parameters:
    `V` -

      public interface VertexUpdater<V>

  Type to handle updates to a vertex when an import gets more information about a vertex after it has been created.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateVertex(V vertex, Map<String,String> attributes)` Update vertex with the extra attributes.

- - ### Method Detail

    - #### updateVertex

          void updateVertex(V vertex,
                          Map<String,String> attributes)

      Update vertex with the extra attributes.
      Parameters:
        `vertex` - to update
        `attributes` - to add to the vertex

Copyright © 2016. All rights reserved.